=== modified file 'compat/debug.cc'
--- compat/debug.cc	2010-08-01 10:37:07 +0000
+++ compat/debug.cc	2010-11-07 01:08:05 +0000
@@ -1,3 +1,4 @@
+#include "config.h"
 #include "compat/debug.h"
 
 /* default off */

=== modified file 'compat/drand48.c'
--- compat/drand48.c	2010-10-01 15:10:14 +0000
+++ compat/drand48.c	2010-11-07 01:08:07 +0000
@@ -1,4 +1,4 @@
-
+#include "config.h"
 
 /* borrowed from libc/misc/drand48.c in Linux libc-5.4.46 this quick
  * hack by Martin Hamilton <martinh@gnu.org> to make Squid build on

=== modified file 'contrib/rredir.c'
--- contrib/rredir.c	2009-01-21 03:47:47 +0000
+++ contrib/rredir.c	2010-11-07 01:08:33 +0000
@@ -1,4 +1,4 @@
-/* $Id$
+#include "config.h"
 
 /*
  * From:    richard@hekkihek.hacom.nl (Richard Huveneers)

=== modified file 'helpers/basic_auth/MSNT/allowusers.cc'
--- helpers/basic_auth/MSNT/allowusers.cc	2010-10-16 23:19:46 +0000
+++ helpers/basic_auth/MSNT/allowusers.cc	2010-11-07 01:08:34 +0000
@@ -1,3 +1,4 @@
+#include "config.h"
 
 /*
  * allowusers.c

=== modified file 'helpers/basic_auth/MSNT/denyusers.cc'
--- helpers/basic_auth/MSNT/denyusers.cc	2010-10-16 23:19:46 +0000
+++ helpers/basic_auth/MSNT/denyusers.cc	2010-11-07 01:08:35 +0000
@@ -1,3 +1,4 @@
+#include "config.h"
 
 /*
  * denyusers.c

=== modified file 'helpers/basic_auth/MSNT/msntauth.cc'
--- helpers/basic_auth/MSNT/msntauth.cc	2010-10-16 23:19:46 +0000
+++ helpers/basic_auth/MSNT/msntauth.cc	2010-11-07 01:08:36 +0000
@@ -1,4 +1,3 @@
-
 /*
  * MSNT - Microsoft Windows NT domain squid authenticator module
  * Version 2.0 by Stellar-X Pty Ltd, Antonino Iannella
@@ -30,7 +29,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-
+#include "config.h"
 #include "rfc1738.h"
 #include "util.h"
 

=== modified file 'helpers/basic_auth/NIS/nis_support.cc'
--- helpers/basic_auth/NIS/nis_support.cc	2010-01-02 12:06:08 +0000
+++ helpers/basic_auth/NIS/nis_support.cc	2010-11-07 01:08:39 +0000
@@ -1,7 +1,7 @@
 /*
  * Written By Rabellino Sergio (rabellino@di.unito.it) For Solaris 2.x
  */
-
+#include "config.h"
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>

=== modified file 'helpers/basic_auth/RADIUS/radius-util.cc'
--- helpers/basic_auth/RADIUS/radius-util.cc	2010-07-06 12:44:06 +0000
+++ helpers/basic_auth/RADIUS/radius-util.cc	2010-11-07 01:08:41 +0000
@@ -36,7 +36,7 @@
     "@(#)util.c	1.5 Copyright 1992 Livingston Enterprises Inc\n"
     "		2.1 Copyright 1997 Cistron Internet Services B.V.";
 
-#include	"config.h"
+#include "config.h"
 
 #if HAVE_SYS_SOCKET_H
 #include	<sys/socket.h>

=== modified file 'helpers/negotiate_auth/kerberos/base64.cc'
--- helpers/negotiate_auth/kerberos/base64.cc	2010-08-14 00:12:49 +0000
+++ helpers/negotiate_auth/kerberos/base64.cc	2010-11-07 01:09:03 +0000
@@ -2,10 +2,11 @@
  * Markus Moeller has modified the following code from Squid
  */
 
+#include "config.h"
+#include "base64.h"
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-#include "base64.h"
 
 
 static void ska_base64_init(void);

=== modified file 'lib/dirent.c'
--- lib/dirent.c	2009-08-23 09:30:49 +0000
+++ lib/dirent.c	2010-11-07 01:09:31 +0000
@@ -48,10 +48,12 @@
  *
  */
 
-#include "util.h"
+#include "config.h"
 
 /* The following code section is part of the native Windows Squid port */
 #if defined(_SQUID_MSWIN_)
+
+#include "util.h"
 #include <stdlib.h>
 #include <errno.h>
 #include <string.h>

=== modified file 'lib/encrypt.c'
--- lib/encrypt.c	2008-10-10 08:02:53 +0000
+++ lib/encrypt.c	2010-11-07 01:09:32 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 /* encrypt.c - providing 56 bit DES encryption
  * Copyright (C) 1991 Jochen Obalek
  *

=== modified file 'lib/getfullhostname.c'
--- lib/getfullhostname.c	2010-03-22 13:05:28 +0000
+++ lib/getfullhostname.c	2010-11-07 01:09:32 +0000
@@ -31,6 +31,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
+#include "config.h"
 #include "getfullhostname.h"
 
 

=== modified file 'lib/getopt.c'
--- lib/getopt.c	2008-10-10 08:02:53 +0000
+++ lib/getopt.c	2010-11-07 01:09:32 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 /*
  * Copyright (c) 1987, 1993, 1994
  *      The Regents of the University of California.  All rights reserved.

=== modified file 'lib/libTrie/src/Trie.cc'
--- lib/libTrie/src/Trie.cc	2010-08-16 10:42:54 +0000
+++ lib/libTrie/src/Trie.cc	2010-11-07 01:09:39 +0000
@@ -17,6 +17,7 @@
  *
  */
 
+#include "config.h"
 #include "Trie.h"
 #if HAVE_UNISTD_H
 #include <unistd.h>

=== modified file 'lib/libTrie/src/TrieNode.cc'
--- lib/libTrie/src/TrieNode.cc	2010-08-16 10:42:54 +0000
+++ lib/libTrie/src/TrieNode.cc	2010-11-07 01:09:39 +0000
@@ -17,6 +17,7 @@
  *
  */
 
+#include "config.h"
 #include "TrieNode.h"
 #include "TrieCharTransform.h"
 #if HAVE_UNISTD_H

=== modified file 'lib/libTrie/test/trie-c.c'
--- lib/libTrie/test/trie-c.c	2008-10-10 08:02:53 +0000
+++ lib/libTrie/test/trie-c.c	2010-11-07 01:09:39 +0000
@@ -17,6 +17,7 @@
  *
  */
 
+#include "config.h"
 #include "Trie.h"
 #include <stdio.h>
 

=== modified file 'lib/libTrie/test/trie.cc'
--- lib/libTrie/test/trie.cc	2009-05-03 13:02:50 +0000
+++ lib/libTrie/test/trie.cc	2010-11-07 01:09:39 +0000
@@ -17,6 +17,7 @@
  *
  */
 
+#include "config.h"
 #include "Trie.h"
 #include "TrieCharTransform.h"
 

=== modified file 'lib/smblib/md4.c'
--- lib/smblib/md4.c	2010-10-16 23:19:46 +0000
+++ lib/smblib/md4.c	2010-11-07 01:10:00 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 /*
  * Unix SMB/Netbios implementation.
  * Version 1.9.

=== modified file 'lib/smblib/smb-errors.c'
--- lib/smblib/smb-errors.c	2010-10-16 23:19:46 +0000
+++ lib/smblib/smb-errors.c	2010-11-07 01:10:00 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 /* UNIX SMBlib NetBIOS implementation
 
    Version 1.0

=== modified file 'lib/smblib/smbdes.c'
--- lib/smblib/smbdes.c	2010-10-16 23:19:46 +0000
+++ lib/smblib/smbdes.c	2010-11-07 01:10:00 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 /*
  * Unix SMB/Netbios implementation.
  * Version 1.9.

=== modified file 'lib/sspwin32.c'
--- lib/sspwin32.c	2010-06-30 12:32:50 +0000
+++ lib/sspwin32.c	2010-11-07 01:10:10 +0000
@@ -33,6 +33,7 @@
  *
  */
 
+#include "config.h"
 #include "util.h"
 
 #include "libntlmauth/ntlmauth.h"

=== modified file 'lib/tests/testMain.cc'
--- lib/tests/testMain.cc	2008-10-10 08:02:53 +0000
+++ lib/tests/testMain.cc	2010-11-07 01:10:13 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <cppunit/BriefTestProgressListener.h>
 #include <cppunit/CompilerOutputter.h>
 #include <cppunit/extensions/TestFactoryRegistry.h>

=== modified file 'lib/win32lib.c'
--- lib/win32lib.c	2009-12-26 00:25:57 +0000
+++ lib/win32lib.c	2010-11-07 01:10:17 +0000
@@ -34,6 +34,7 @@
  *
  */
 
+#include "config.h"
 #include "util.h"
 
 /* The following code section is part of an EXPERIMENTAL native */

=== modified file 'src/AsyncEngine.cc'
--- src/AsyncEngine.cc	2009-01-21 03:47:47 +0000
+++ src/AsyncEngine.cc	2010-11-07 01:10:23 +0000
@@ -31,4 +31,5 @@
  *
  */
 
+#include "config.h"
 #include "AsyncEngine.h"

=== modified file 'src/CompletionDispatcher.cc'
--- src/CompletionDispatcher.cc	2009-01-21 03:47:47 +0000
+++ src/CompletionDispatcher.cc	2010-11-07 01:10:29 +0000
@@ -31,4 +31,5 @@
  *
  */
 
+#include "config.h"
 #include "CompletionDispatcher.h"

=== modified file 'src/ConfigParser.cc'
--- src/ConfigParser.cc	2009-09-08 12:06:37 +0000
+++ src/ConfigParser.cc	2010-11-07 01:10:31 +0000
@@ -33,6 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
+#include "config.h"
 #include "ConfigParser.h"
 #include "globals.h"
 

=== modified file 'src/DescriptorSet.cc'
--- src/DescriptorSet.cc	2010-05-26 03:06:02 +0000
+++ src/DescriptorSet.cc	2010-11-07 01:10:43 +0000
@@ -3,7 +3,7 @@
  *
  * DEBUG: section 05    Comm
  */
-
+#include "config.h"
 #include "DescriptorSet.h"
 
 // pre-allocates descriptor store and index for Squid_MaxFD descriptors

=== modified file 'src/DiskIO/Blocking/BlockingFile.cc'
--- src/DiskIO/Blocking/BlockingFile.cc	2009-01-21 03:47:47 +0000
+++ src/DiskIO/Blocking/BlockingFile.cc	2010-11-07 01:10:49 +0000
@@ -32,7 +32,7 @@
  *
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
-
+#include "config.h"
 #include "BlockingFile.h"
 #include "DiskIO/IORequestor.h"
 #include "DiskIO/ReadRequest.h"

=== modified file 'src/DiskIO/Blocking/BlockingIOStrategy.cc'
--- src/DiskIO/Blocking/BlockingIOStrategy.cc	2009-01-21 03:47:47 +0000
+++ src/DiskIO/Blocking/BlockingIOStrategy.cc	2010-11-07 01:10:50 +0000
@@ -34,8 +34,10 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
+#include "config.h"
 #include "BlockingIOStrategy.h"
 #include "BlockingFile.h"
+
 bool
 BlockingIOStrategy::shedLoad()
 {

=== modified file 'src/DiskIO/Blocking/DiskIOBlocking.cc'
--- src/DiskIO/Blocking/DiskIOBlocking.cc	2009-01-21 03:47:47 +0000
+++ src/DiskIO/Blocking/DiskIOBlocking.cc	2010-11-07 01:10:51 +0000
@@ -30,3 +30,5 @@
  *
  * Copyright (c) 2003 Robert Collins <robertc@squid-cache.org>
  */
+
+#include "config.h"

=== modified file 'src/DiskIO/ReadRequest.cc'
--- src/DiskIO/ReadRequest.cc	2009-01-21 03:47:47 +0000
+++ src/DiskIO/ReadRequest.cc	2010-11-07 01:11:08 +0000
@@ -31,6 +31,7 @@
  * Copyright (c) 2003 Robert Collins <robertc@squid-cache.org>
  */
 
+#include "config.h"
 #include "ReadRequest.h"
 
 CBDATA_CLASS_INIT(ReadRequest);

=== modified file 'src/DiskIO/WriteRequest.cc'
--- src/DiskIO/WriteRequest.cc	2009-01-21 03:47:47 +0000
+++ src/DiskIO/WriteRequest.cc	2010-11-07 01:11:09 +0000
@@ -31,6 +31,7 @@
  * Copyright (c) 2003 Robert Collins <robertc@squid-cache.org>
  */
 
+#include "config.h"
 #include "WriteRequest.h"
 
 CBDATA_CLASS_INIT(WriteRequest);

=== modified file 'src/EventLoop.cc'
--- src/EventLoop.cc	2010-05-26 03:06:02 +0000
+++ src/EventLoop.cc	2010-11-07 01:11:11 +0000
@@ -32,6 +32,7 @@
  *
  */
 
+#include "config.h"
 #include "EventLoop.h"
 #include "base/AsyncCallQueue.h"
 

=== modified file 'src/RemovalPolicy.cc'
--- src/RemovalPolicy.cc	2009-01-21 03:47:47 +0000
+++ src/RemovalPolicy.cc	2010-11-07 01:11:49 +0000
@@ -33,7 +33,9 @@
  *
  */
 
+#include "config.h"
 #include "RemovalPolicy.h"
+
 CBDATA_CLASS_INIT(RemovalPolicy);
 CBDATA_CLASS_INIT(RemovalPolicyWalker);
 CBDATA_CLASS_INIT(RemovalPurgeWalker);

=== modified file 'src/SquidConfig.cc'
--- src/SquidConfig.cc	2008-03-20 11:30:19 +0000
+++ src/SquidConfig.cc	2010-11-07 01:11:52 +0000
@@ -2,6 +2,7 @@
  * $Id$
  */
 
+#include "config.h"
 // just for the global definition of Config and Config2
 #include "structs.h"
 

=== modified file 'src/StoreSwapLogData.cc'
--- src/StoreSwapLogData.cc	2009-08-23 05:13:09 +0000
+++ src/StoreSwapLogData.cc	2010-11-07 01:12:03 +0000
@@ -32,6 +32,7 @@
  *
  */
 
+#include "config.h"
 #include "StoreSwapLogData.h"
 #include "swap_log_op.h"
 

=== modified file 'src/adaptation/ecap/MinimalAdapter.cc'
--- src/adaptation/ecap/MinimalAdapter.cc	2008-04-14 16:34:34 +0000
+++ src/adaptation/ecap/MinimalAdapter.cc	2010-11-07 01:13:05 +0000
@@ -1,2 +1,2 @@
-
+#include "config.h"
 // TBD

=== modified file 'src/adaptation/icap/History.cc'
--- src/adaptation/icap/History.cc	2009-08-23 09:30:49 +0000
+++ src/adaptation/icap/History.cc	2010-11-07 01:13:09 +0000
@@ -1,5 +1,5 @@
+#include "squid.h"
 #include "adaptation/icap/History.h"
-#include "squid.h"
 #include "globals.h"
 #include "SquidTime.h"
 

=== modified file 'src/base/AsyncCallQueue.cc'
--- src/base/AsyncCallQueue.cc	2009-04-09 22:31:13 +0000
+++ src/base/AsyncCallQueue.cc	2010-11-07 01:13:45 +0000
@@ -6,6 +6,7 @@
  *
  */
 
+#include "config.h"
 #include "base/AsyncCallQueue.h"
 #include "base/AsyncCall.h"
 

=== modified file 'src/cbdata.cc'
--- src/cbdata.cc	2010-10-29 00:12:28 +0000
+++ src/cbdata.cc	2010-11-07 01:13:56 +0000
@@ -48,6 +48,7 @@
  * when finished.
  */
 
+#include "config.h"
 #include "cbdata.h"
 #include "mgr/Registration.h"
 #include "Store.h"

=== modified file 'src/cf_gen.cc'
--- src/cf_gen.cc	2010-10-23 08:50:56 +0000
+++ src/cf_gen.cc	2010-11-07 01:13:57 +0000
@@ -45,9 +45,7 @@
  *			 administrator.
  *****************************************************************************/
 
-//#include "squid.h"
 #include "config.h"
-//#include "SquidTime.h"
 #include "util.h"
 
 #if HAVE_STRING_H

=== modified file 'src/fs/coss/StoreFScoss.cc'
--- src/fs/coss/StoreFScoss.cc	2010-10-28 18:52:59 +0000
+++ src/fs/coss/StoreFScoss.cc	2010-11-07 01:14:58 +0000
@@ -33,6 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
+#include "config.h"
 #include "StoreFileSystem.h"
 #include "StoreFScoss.h"
 #include "mgr/Registration.h"

=== modified file 'src/fs/diskd/StoreFSdiskd.cc'
--- src/fs/diskd/StoreFSdiskd.cc	2009-03-31 20:33:48 +0000
+++ src/fs/diskd/StoreFSdiskd.cc	2010-11-07 01:15:05 +0000
@@ -35,6 +35,7 @@
 
 /* TODO: remove this file as unused */
 
+#include "config.h"
 #if 0
 #include "StoreFileSystem.h"
 #include "DiskIO/DiskIOModule.h"

=== modified file 'src/fs/ufs/StoreFSufs.cc'
--- src/fs/ufs/StoreFSufs.cc	2009-03-31 20:33:48 +0000
+++ src/fs/ufs/StoreFSufs.cc	2010-11-07 01:15:05 +0000
@@ -35,6 +35,7 @@
 
 /*TODO: remove this file as unused*/
 
+#include "config.h"
 #if 0
 #include "StoreFileSystem.h"
 #endif

=== modified file 'src/tests/stub_cache_manager.cc'
--- src/tests/stub_cache_manager.cc	2010-10-29 00:12:28 +0000
+++ src/tests/stub_cache_manager.cc	2010-11-07 01:17:23 +0000
@@ -29,9 +29,9 @@
  *
  */
 
+#include "squid.h"
 #include "CacheManager.h"
 #include "mgr/Registration.h"
-#include "squid.h"
 
 Mgr::Action::Pointer
 CacheManager::createNamedAction(char const* action)

=== modified file 'src/tests/stub_client_side_request.cc'
--- src/tests/stub_client_side_request.cc	2009-12-26 00:25:57 +0000
+++ src/tests/stub_client_side_request.cc	2010-11-07 01:17:25 +0000
@@ -31,6 +31,7 @@
  *
  */
 
+#include "config.h"
 #include "client_side_request.h"
 #include "Store.h"
 

=== modified file 'src/tests/stub_errorpage.cc'
--- src/tests/stub_errorpage.cc	2009-01-21 03:47:47 +0000
+++ src/tests/stub_errorpage.cc	2010-11-07 01:17:27 +0000
@@ -32,6 +32,7 @@
  *
  */
 
+#include "config.h"
 #include "errorpage.h"
 
 err_type

=== modified file 'src/tests/stub_main_cc.cc'
--- src/tests/stub_main_cc.cc	2010-08-17 00:12:40 +0000
+++ src/tests/stub_main_cc.cc	2010-11-07 01:17:31 +0000
@@ -33,6 +33,8 @@
  *
  */
 
+#include "config.h"
+
 void
 shut_down(int)
 { /* stub */ }

=== modified file 'src/tests/testStoreSupport.cc'
--- src/tests/testStoreSupport.cc	2010-03-30 17:32:03 +0000
+++ src/tests/testStoreSupport.cc	2010-11-07 01:17:53 +0000
@@ -32,6 +32,7 @@
  */
 
 #define SQUID_UNIT_TEST 1
+#include "config.h"
 #include "testStoreSupport.h"
 #include "event.h"
 #include "EventLoop.h"

=== modified file 'src/url.cc'
--- src/url.cc	2010-09-02 20:46:42 +0000
+++ src/url.cc	2010-11-07 01:18:15 +0000
@@ -33,6 +33,7 @@
  *
  */
 
+#include "config.h"
 #include "URL.h"
 #include "HttpRequest.h"
 #include "URLScheme.h"

=== modified file 'src/wordlist.cc'
--- src/wordlist.cc	2010-05-26 03:06:02 +0000
+++ src/wordlist.cc	2010-11-07 01:18:24 +0000
@@ -33,6 +33,7 @@
  *
  */
 
+#include "config.h"
 #include "wordlist.h"
 #include "MemBuf.h"
 

=== modified file 'tools/purge/conffile.cc'
--- tools/purge/conffile.cc	2010-08-23 00:12:46 +0000
+++ tools/purge/conffile.cc	2010-11-07 01:18:35 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 //
 // $Id$
 //

=== modified file 'tools/purge/convert.cc'
--- tools/purge/convert.cc	2010-08-19 03:33:12 +0000
+++ tools/purge/convert.cc	2010-11-07 01:18:35 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 //
 // $Id$
 //

=== modified file 'tools/purge/socket.cc'
--- tools/purge/socket.cc	2010-08-19 03:33:12 +0000
+++ tools/purge/socket.cc	2010-11-07 01:18:38 +0000
@@ -1,3 +1,5 @@
+#include "config.h"
+
 //
 // $Id$
 //


